Target version: CCI-2.0.2   

Milestone: None Story Points:  

Product Version: *   

Description

To use the ORCID public API, we need to configure a client id and secret key. Currently the portal uses the orcid sandbox with

credentials that are not so sensitive (and committed to svn).

The two values would need to be input each time the portal is deployed (annoying) but I don't see any way around this.

It looks like the cn-os-core buildout is the only one that prompts for user input (keystore password and ldap password) so I'm not sure

how readily we can make the portal build-out do the same during debian package config/installation.

Related issues:

Related to Infrastructure - Task #7508: Register DataONE ORCID account Closed 2015-12-04

Related to Infrastructure - Task #7944: Java Keystore password needs to be ad... Closed 2016-11-29

History

#1 - 2015-12-04 01:51 - Ben Leinfelder

- Related to Task #7508: Register DataONE ORCID account added

#2 - 2015-12-05 00:30 - Ben Leinfelder

- Status changed from New to In Progress

- % Done changed from 0 to 30

Robert did a nice write-up of what is needed to add a configuration question. That's now in trunk and will soon be merged to the 2.0 branch for 2.0.1

packaging.

#3 - 2015-12-05 03:18 - Ben Leinfelder

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

now in the 2.0 branch of the buildout as well.

#4 - 2015-12-08 01:01 - Ben Leinfelder

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 50 to 100

prompting as expected during os-core buildout.

#5 - 2017-03-06 18:27 - Rob Nahf

- Related to Task #7944: Java Keystore password needs to be added to the config by the build-out script of dataone-cn-portal. added
